Skip to main content
`Ctrl`+`K`
scipy.signal.

# symiirorder1

scipy.signal.symiirorder1(signal, c0, z1, precision=-1.0)

  Implement a smoothing IIR filter with mirror-symmetric boundary conditions using a cascade of first-order sections.

  The second section uses a reversed sequence. This implements a system with the following transfer function and mirror-symmetric boundary conditions:

                      c0
      H(z) = ---------------------
              (1-z1/z) (1 - z1 z)

  The resulting signal will have mirror symmetric boundary conditions as well.

  Parameters:
    signal ndarray

      The input signal. If 2D, then the filter will be applied in a batched fashion across the last axis.

    c0, z1 scalar

      Parameters in the transfer function.

    precision

      Specifies the precision for calculating initial conditions of the recursive filter based on mirror-symmetric input.

  Returns:
    output ndarray

      The filtered signal.